[package]
name = "yggdrasil-rt"
version = "0.1.0"
edition = "2021"
authors = ["Mark Poliakov <mark@alnyan.me>"]
build = "build.rs"

[dependencies]
yggdrasil-abi = { path = "../abi", features = ["alloc"] }

core = { version = "1.0.0", optional = true, package = "rustc-std-workspace-core" }
alloc = { version = "1.0.0", optional = true, package = "rustc-std-workspace-alloc" }
compiler_builtins = { version = "0.1", optional = true }
libm = { git = "https://git.alnyan.me/yggdrasil/libm.git", optional = true }

abi-lib = { path = "../abi-lib" }
abi-serde = { path = "../abi-serde" }

[build-dependencies]
abi-generator = { path = "../../tool/abi-generator" }
prettyplease = "0.2.15"
cc = "*"

[features]
default = []
__tls_get_addr = []
rustc-dep-of-std = [
    "core",
    "alloc",
    "compiler_builtins/rustc-dep-of-std",
    "yggdrasil-abi/rustc-dep-of-std",
    "abi-lib/rustc-dep-of-std",
    "abi-serde/rustc-dep-of-std",
    "libm/rustc-dep-of-std"
]
